<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="NPCCalculatorArgument"
	description="Компонент аргумент калькулятора."
	fileName="NPCCalculatorArgument.jar"
	className="org.mati.npc.components.calculator.argument.NPCCalculatorArgument"
	version="8872" time="17.02.2009 01:05:07">

	<Group>Основные компоненты</Group>

	<!--INLINKS BEGIN-->
	<INLink name="InGetArgument"
		description="Связь, служащая для получения аргумента для вычислений."
		interfaceName="org.mati.npc.components.interfaces.CalculatorArgument"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InSetArgumentFromString"
		description="Связь, служащая для установки значения агрумента калькулятора из строки."
		interfaceName="org.mati.npc.components.interfaces.StringValue"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InSetArgument"
		description="Связь, служащая для установки значения агрумента калькулятора."
		interfaceName="org.mati.npc.components.interfaces.FloatValue"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InGetArgumentValue"
		description="Связь, служащая для получения значения аргумента для вычислений."
		interfaceName="org.mati.npc.components.interfaces.FloatValue"
		linksNumber="0" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutIsErrorOccured"
		description="Связь, служащая для сообщения о успешности установки значения аргумента калькулятора. TRUE - значение установлено успешно, FALSE - неправильное значение аргумента калькулятора."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutArgumentChanged"
		description="Связь, служащая для сообщения о изменении аргумента."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="ArgumentName"
		description="Имя аргумента калькулятора." type="java.lang.String"
		defaultValue="x"
		nullable="false">
	</Attribute>
	<!--PROPERTIES END-->

</ClassComponent>
